Subject: [bug#40677] [PATCH 01/18] gnu: jami: Move Jami and its dependencies to jami.scm.

From: Mathieu Othacehe <[email-masked]>
Date: Wed, 22 Apr 2020 13:42:33 +0200

> I passed the "-v2", didn't it wrok?

No, I would expect the patch subject to look like "[PATCH v2 x/y]". What
I do is to run git format-patch this way:

--8<---------------cut here---------------start------------->8---
git format-patch -4 --cover-letter --subject-prefix="PATCH v2"
--8<---------------cut here---------------end--------------->8---

there might better ways though.

>
>> You also need to write commit messages respecting this
>> https://www.gnu.org/prep/standards/html_node/Change-Logs.html#Change-Logs
>> as I already told you.
> I have to read it one more time then, it's a bit unintuitive and
> complicated.

Yes, you can browse the git log for examples.

>
>> > +;;; GNU Guix --- Functional package management for GNU
>> > +;;; Copyright © 2019 Pierre Neidhardt <[email-masked]>  
>> 
>> Why is Pierre copyright here?
> As far as I know he was an original author or maintainer of the
> packages.
> Isn't it required when copying a copyrighted work?

Ok, then you might want to add Ludo and Vincent copyrights that appear
to have modified those packages according to git blame.

Thanks,

Mathieu